GLS ShipIT 3.3.20 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.common.HazardousGoodsService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
List< HazardousGood > | getHazardousGood ()

## Protected Attributes
String | serviceName
List< HazardousGood > | hazardousGood

## Detailed Description

Hazardous goods service attributes

Java class for HazardousGoodsService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="HazardousGoodsService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="HazardousGood" type="{http://fpcs.gls-group.eu/v1/Common}HazardousGood" maxOccurs="5"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 41 of file HazardousGoodsService.java.

## Member Function Documentation

## ◆ getHazardousGood()

List<HazardousGood> eu.glsgroup.fpcs.datatypes.soap.v1.common.HazardousGoodsService.getHazardousGood | ( |  | ) |

Gets the value of the hazardousGood property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hazardousGood property.

For example, to add a new item, do as follows:

       getHazardousGood().add(newItem);

Objects of the following type(s) are allowed in the list HazardousGood

Definition at line 94 of file HazardousGoodsService.java.

## ◆ getServiceName()

String eu.glsgroup.fpcs.datatypes.soap.v1.common.HazardousGoodsService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 56 of file HazardousGoodsService.java.

## ◆ setServiceName()

void eu.glsgroup.fpcs.datatypes.soap.v1.common.HazardousGoodsService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 68 of file HazardousGoodsService.java.

## Member Data Documentation

## ◆ hazardousGood

List<HazardousGood> eu.glsgroup.fpcs.datatypes.soap.v1.common.HazardousGoodsService.hazardousGood
| protected

Definition at line 46 of file HazardousGoodsService.java.

## ◆ serviceName

String eu.glsgroup.fpcs.datatypes.soap.v1.common.HazardousGoodsService.serviceName
| protected

Definition at line 44 of file HazardousGoodsService.java.

The documentation for this class was generated from the following file:

- HazardousGoodsService.java